S3 Put Object
  • 01 Jun 2023
  • Dark
    Light

S3 Put Object

  • Dark
    Light

Article summary

PUThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/<your-key>

Uploads an object to a bucket.

If encryption headers are omitted, Backblaze encrypts the object with SSE-B2 when the bucket is enabled. The response includes x-amz-server-side-encryption: AES256. Valid SSE-C headers take precedence.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

HEADERS

Cache-Control

Optional. Specifies Cache-Control header on retrieval.

Content-Disposition

Optional. Specifies Content-Disposition header on retrieval.

Content-Encoding

Optional. Specifies Content-Encoding header on retrieval.

Content-Language

Optional. Specifies the language the content is in.

Content-Length

Optional. Specifies Content-Length header on retrieval.

Content-Type

Optional. Specifies Content-Type header on retrieval.

Expires

Optional. Specifies Expires header on retrieval.

x-amz-acl

Optional. If supplied, must be the same as the bucket ACL.

x-amz-expected-bucket-owner

Optional. Account ID of the expected bucket owner. If the bucket is owned by a different owner, a 403 Access Denied error will be returned.

x-amz-object-lock-legal-hold

Optional. Specifies whether a legal hold will be applied. Allowed values are 'ON' or 'OFF'.

x-amz-object-lock-mode

Optional. The lock mode to apply. Allowed values are 'GOVERNANCE' or 'COMPLIANCE'.

x-amz-object-lock-retain-until-date

Optional. Timestamp for expiration of object lock.

x-amz-server-side-encryption-customer-algorithm

Optional. Encryption algorithm to be used for SSE-C.

x-amz-server-side-encryption-customer-key

Optional. Base64-encoded customer key for SSE-C.

x-amz-server-side-encryption

Optional. Set to AES256 to use SSE-B2.

PATH VARIABLES

bucket

Required. The name of the bucket

key

Required. Key of the object to be written.

REQUEST BODY

The file to be uploaded is the message body. This request accepts binary data and is not encoded in any way.


Example Request

curl --location --request PUT 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/object-1' \
--data 'object data'

Example Response

200 OK

Body

No response body

This request doesn't return any response body


Headers (9)

ETag

"85f30635602dc09bd85957a6e82a2c21"

Cache-Control

max-age=0, no-cache, no-store

x-amz-request-id

56aa38410aaebdd

x-amz-version-id

4_z6145af89f355ac2f74ed0c1b_f416a807037a7ee2a_d20220128_m231233_c004_v0402000_t0056

x-amz-id-2

aMa41BGZMOZMztjUfY9JmpzRnZLRjZmIQ

Content-Length

0

Date

Fri, 28 Jan 2022 23:14:48 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?